Get a test case
curl --request GET \
--url https://api.empirical.run/api/v2/test-cases/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.empirical.run/api/v2/test-cases/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.empirical.run/api/v2/test-cases/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"test_case": {
"id": "<string>",
"name": "<string>",
"file_path": "<string>",
"suites": [
"<string>"
],
"playwright_project": "<string>",
"tags": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>",
"first_seen_commit_sha": "<string>",
"last_seen_commit_sha": "<string>",
"dependencies": {
"playwright_serial": {
"group_id": "<string>",
"title_path": [
"<string>"
],
"file_path": "<string>",
"playwright_project": "<string>",
"dependency_order": 123,
"group_size": 123,
"depends_on": [
"<string>"
]
}
}
}
}
}{
"data": "<unknown>",
"error": {
"message": "<string>"
}
}{
"data": "<unknown>",
"error": {
"message": "<string>"
}
}Test Cases
Get a test case
Retrieves a single test case by its Playwright test ID. Access is derived from the test case’s project, returning 403 when the caller cannot access it.
GET
/
api
/
v2
/
test-cases
/
{id}
Get a test case
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Playwright test ID (pw_test_id), the 41-character hash identifying the test case.
Minimum string length:
1Response
The test case.
Response payload.
Show child attributes
Show child attributes
Was this page helpful?
⌘I